<?php
	# Beispiel-Script PHP (Stand-Alone)

	$key	=	"demo";		# Lizenzschlüssel

	$kto = 539290858;
	$blz = 12030000;
	
	# Entfernen aller nicht-numerischen Zeichen
	# aus der Kontonummer und der Bankleitzahl

	$kto = preg_replace ('~[^0-9]+~', '', $kto);
	$blz = preg_replace ('~[^0-9]+~', '', $blz);
	
	
	# Zusammensetzung des Übergabeparameters
	$parameter	=	"knr=$kto&blz=$blz&key=$key";


	# Aufruf von cKonto
	$ausgabe	=	`./cKonto "$parameter"`;

	
	$paare 		= 	explode("&", $ausgabe);

	# Zerlegen der Ausgabe in NAME/WERT-Paare
	foreach($paare as $current){

		list ($name, $value) = explode("=", $current);
		$data[$name] = $value;

	}


	
	if ($data['code']==1 OR $data['code']==9){

		$flag=1;
		$bank = $data['name'];
		$ort = $data['location'];

	}
	else {

		$flag=0;

	}

	

	if ($data['code']==1) {
	
		echo "Die Kontonummer ist gültig\n";

		$data['name']		= str_replace("+", " ", $data['name']);		# Ersetzen von "+" durch " ".
		$data['location']	= str_replace("+", " ", $data['location']);	# Ersetzen von "+" durch " ".

		echo "Name der Bank        : $data[name]\n";
		echo "Postleitzahl der Bank: $data[zip]\n";
		echo "Ort des Institutes   : $data[location]\n";

	} elseif ($data['code']==0) {
	
		echo "Die Kontonummer ist nicht gültig\n";

	} elseif ($data['code']==8) {
	
		echo "Die von der Bank verwendete Prüfmethode ist\n";
		echo "im Demonstrations-Modus nicht verfügbar.\n";
		
	}

	
		

?>